# pulp_rpm-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.0.0b6.dev01569949878
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_rpm 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_rpm
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_rpm
from pulpcore.client.pulp_rpm.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_rpm.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost:24817
configuration.host = "http://localhost:24817"
# Create an instance of the API class
api_instance = pulpcore.client.pulp_rpm.ContentAdvisoriesApi(pulpcore.client.pulp_rpm.ApiClient(configuration))
data = pulpcore.client.pulp_rpm.UpdateRecord() # UpdateRecord | 

try:
    # Create an update record
    api_response = api_instance.create(data)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentAdvisoriesApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentAdvisoriesApi* | [**create**](docs/ContentAdvisoriesApi.md#create) | **POST** /pulp/api/v3/content/rpm/advisories/ | Create an update record
*ContentAdvisoriesApi* | [**list**](docs/ContentAdvisoriesApi.md#list) | **GET** /pulp/api/v3/content/rpm/advisories/ | List update records
*ContentAdvisoriesApi* | [**read**](docs/ContentAdvisoriesApi.md#read) | **GET** {update_record_href} | Inspect an update record
*ContentModulemdApi* | [**create**](docs/ContentModulemdApi.md#create) | **POST** /pulp/api/v3/content/rpm/modulemd/ | Create a modulemd
*ContentModulemdApi* | [**list**](docs/ContentModulemdApi.md#list) | **GET** /pulp/api/v3/content/rpm/modulemd/ | List modulemds
*ContentModulemdApi* | [**read**](docs/ContentModulemdApi.md#read) | **GET** {modulemd_href} | Inspect a modulemd
*ContentModulemdDefaultsApi* | [**create**](docs/ContentModulemdDefaultsApi.md#create) | **POST** /pulp/api/v3/content/rpm/modulemd-defaults/ | Create a modulemd defaults
*ContentModulemdDefaultsApi* | [**list**](docs/ContentModulemdDefaultsApi.md#list) | **GET** /pulp/api/v3/content/rpm/modulemd-defaults/ | List modulemd defaultss
*ContentModulemdDefaultsApi* | [**read**](docs/ContentModulemdDefaultsApi.md#read) | **GET** {modulemd_defaults_href} | Inspect a modulemd defaults
*ContentPackagesApi* | [**create**](docs/ContentPackagesApi.md#create) | **POST** /pulp/api/v3/content/rpm/packages/ | Create a package
*ContentPackagesApi* | [**list**](docs/ContentPackagesApi.md#list) | **GET** /pulp/api/v3/content/rpm/packages/ | List packages
*ContentPackagesApi* | [**read**](docs/ContentPackagesApi.md#read) | **GET** {package_href} | Inspect a package
*DistributionTreesDistributionTreesApi* | [**delete**](docs/DistributionTreesDistributionTreesApi.md#delete) | **DELETE** {distribution_tree_href} | Delete a distribution tree
*DistributionTreesDistributionTreesApi* | [**list**](docs/DistributionTreesDistributionTreesApi.md#list) | **GET** /pulp/api/v3/distribution_trees/rpm/distribution_trees/ | List distribution trees
*DistributionTreesDistributionTreesApi* | [**read**](docs/DistributionTreesDistributionTreesApi.md#read) | **GET** {distribution_tree_href} | Inspect a distribution tree
*DistributionsRpmApi* | [**create**](docs/DistributionsRpmApi.md#create) | **POST** /pulp/api/v3/distributions/rpm/rpm/ | Create a rpm distribution
*DistributionsRpmApi* | [**delete**](docs/DistributionsRpmApi.md#delete) | **DELETE** {rpm_distribution_href} | Delete a rpm distribution
*DistributionsRpmApi* | [**list**](docs/DistributionsRpmApi.md#list) | **GET** /pulp/api/v3/distributions/rpm/rpm/ | List rpm distributions
*DistributionsRpmApi* | [**partial_update**](docs/DistributionsRpmApi.md#partial_update) | **PATCH** {rpm_distribution_href} | Partially update a rpm distribution
*DistributionsRpmApi* | [**read**](docs/DistributionsRpmApi.md#read) | **GET** {rpm_distribution_href} | Inspect a rpm distribution
*DistributionsRpmApi* | [**update**](docs/DistributionsRpmApi.md#update) | **PUT** {rpm_distribution_href} | Update a rpm distribution
*PublicationsRpmApi* | [**create**](docs/PublicationsRpmApi.md#create) | **POST** /pulp/api/v3/publications/rpm/rpm/ | Create a rpm publication
*PublicationsRpmApi* | [**delete**](docs/PublicationsRpmApi.md#delete) | **DELETE** {rpm_publication_href} | Delete a rpm publication
*PublicationsRpmApi* | [**list**](docs/PublicationsRpmApi.md#list) | **GET** /pulp/api/v3/publications/rpm/rpm/ | List rpm publications
*PublicationsRpmApi* | [**read**](docs/PublicationsRpmApi.md#read) | **GET** {rpm_publication_href} | Inspect a rpm publication
*RemotesRpmApi* | [**create**](docs/RemotesRpmApi.md#create) | **POST** /pulp/api/v3/remotes/rpm/rpm/ | Create a rpm remote
*RemotesRpmApi* | [**delete**](docs/RemotesRpmApi.md#delete) | **DELETE** {rpm_remote_href} | Delete a rpm remote
*RemotesRpmApi* | [**list**](docs/RemotesRpmApi.md#list) | **GET** /pulp/api/v3/remotes/rpm/rpm/ | List rpm remotes
*RemotesRpmApi* | [**partial_update**](docs/RemotesRpmApi.md#partial_update) | **PATCH** {rpm_remote_href} | Partially update a rpm remote
*RemotesRpmApi* | [**read**](docs/RemotesRpmApi.md#read) | **GET** {rpm_remote_href} | Inspect a rpm remote
*RemotesRpmApi* | [**sync**](docs/RemotesRpmApi.md#sync) | **POST** {rpm_remote_href}sync/ | Sync from remote
*RemotesRpmApi* | [**update**](docs/RemotesRpmApi.md#update) | **PUT** {rpm_remote_href} | Update a rpm remote
*RepoMetadataFilesRepoMetadataFilesApi* | [**delete**](docs/RepoMetadataFilesRepoMetadataFilesApi.md#delete) | **DELETE** {repo_metadata_file_href} | Delete a repo metadata file
*RepoMetadataFilesRepoMetadataFilesApi* | [**list**](docs/RepoMetadataFilesRepoMetadataFilesApi.md#list) | **GET** /pulp/api/v3/repo_metadata_files/rpm/repo_metadata_files/ | List repo metadata files
*RepoMetadataFilesRepoMetadataFilesApi* | [**read**](docs/RepoMetadataFilesRepoMetadataFilesApi.md#read) | **GET** {repo_metadata_file_href} | Inspect a repo metadata file
*RpmCopyApi* | [**copy_content**](docs/RpmCopyApi.md#copy_content) | **POST** /pulp/api/v3/rpm/copy/ | Copy content


## Documentation For Models

 - [Addon](docs/Addon.md)
 - [Artifact](docs/Artifact.md)
 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [Checksum](docs/Checksum.md)
 - [DistributionTree](docs/DistributionTree.md)
 - [Image](docs/Image.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [Modulemd](docs/Modulemd.md)
 - [ModulemdDefaults](docs/ModulemdDefaults.md)
 - [Package](docs/Package.md)
 - [RepoMetadataFile](docs/RepoMetadataFile.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RpmDistribution](docs/RpmDistribution.md)
 - [RpmPublication](docs/RpmPublication.md)
 - [RpmRemote](docs/RpmRemote.md)
 - [UpdateRecord](docs/UpdateRecord.md)
 - [Variant](docs/Variant.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




